unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Menus, jpeg;

type
  TForm3 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit9: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    Edit13: TEdit;
    Edit14: TEdit;
    Edit15: TEdit;
    Edit16: TEdit;
    Edit17: TEdit;
    Edit18: TEdit;
    Edit19: TEdit;
    Edit20: TEdit;
    Edit21: TEdit;
    Edit22: TEdit;
    Edit23: TEdit;
    Edit24: TEdit;
    Label2: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label3: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Button1: TButton;
    Label11: TLabel;
    Timer1: TTimer;
    Label19: TLabel;
    Edit25: TEdit;
    Button2: TButton;
    Image1: TImage;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Label32: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    Image2: TImage;
    Image3: TImage;
    Button3: TButton;
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses Unit1;

{$R *.dfm}

procedure TForm3.Timer1Timer(Sender: TObject);
var stroka:string;
begin
stroka:=label1.Caption;
label1.Caption:=copy(stroka,2,length(stroka)-1)+copy(stroka,1,1);

end;

procedure TForm3.Button1Click(Sender: TObject);
var k:integer;
begin
k:=3;
if Edit17.text='6' then k:=k+1 else k:=k+0;
if Edit18.text='3' then k:=k+1 else k:=k+0;
if Edit19.text='4' then k:=k+1 else k:=k+0;
if Edit20.text='9' then k:=k+1 else k:=k+0;
if Edit21.text='5' then k:=k+1 else k:=k+0;
if Edit22.text='8' then k:=k+1 else k:=k+0;
if Edit23.text='2' then k:=k+1 else k:=k+0;
if Edit24.text='7' then k:=k+1 else k:=k+0;
Edit25.text:=intToStr(k);
if edit25.text='11' then (Label19.caption:='Поздравляю! Отличный результат!') else (Label11.caption:='Эх...Нужно подучить, не расстраивайся!') ;
if edit25.text='11' then image2.Visible:=true else image3.Visible:=true
end;

procedure TForm3.Button2Click(Sender: TObject);
begin
edit17.Clear;
edit18.Clear;
edit19.Clear;
edit20.Clear;
edit21.Clear;
edit22.Clear;
edit23.Clear;
edit24.Clear;
edit25.Clear;
image2.Visible:=false;
image3.Visible:=false;
label19.caption:=' ';
label11.caption:=' ';
end;

procedure TForm3.Button3Click(Sender: TObject);
begin
form1.show;
end;

end.
